package it.integry.integrywmsnative.view.dialogs.choose_arts_from_lista_arts;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.di.BindableBoolean;
import it.integry.integrywmsnative.core.model.MtbAart;

public class DialogChooseArtsFromMtbAartListItemModel {

    private BindableBoolean selected = new BindableBoolean(false);
    private String codMart;
    private String diacod;
    private String descrizione;
    private BigDecimal peso;
    private String pesoUntMis;
    private BigDecimal qta;
    private String qtaUntMis;

    private MtbAart originalModel;



    public BindableBoolean getSelected() {
        return selected;
    }

    public DialogChooseArtsFromMtbAartListItemModel setSelected(BindableBoolean selected) {
        this.selected = selected;
        return this;
    }

    public String getCodMart() {
        return codMart;
    }

    public DialogChooseArtsFromMtbAartListItemModel setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getDiacod() {
        return diacod;
    }

    public DialogChooseArtsFromMtbAartListItemModel setDiacod(String diacod) {
        this.diacod = diacod;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public DialogChooseArtsFromMtbAartListItemModel setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public BigDecimal getPeso() {
        return peso;
    }

    public DialogChooseArtsFromMtbAartListItemModel setPeso(BigDecimal peso) {
        this.peso = peso;
        return this;
    }

    public String getPesoUntMis() {
        return pesoUntMis;
    }

    public DialogChooseArtsFromMtbAartListItemModel setPesoUntMis(String pesoUntMis) {
        this.pesoUntMis = pesoUntMis;
        return this;
    }

    public BigDecimal getQta() {
        return qta;
    }

    public DialogChooseArtsFromMtbAartListItemModel setQta(BigDecimal qta) {
        this.qta = qta;
        return this;
    }

    public String getQtaUntMis() {
        return qtaUntMis;
    }

    public DialogChooseArtsFromMtbAartListItemModel setQtaUntMis(String qtaUntMis) {
        this.qtaUntMis = qtaUntMis;
        return this;
    }

    public MtbAart getOriginalModel() {
        return originalModel;
    }

    public DialogChooseArtsFromMtbAartListItemModel setOriginalModel(MtbAart originalModel) {
        this.originalModel = originalModel;
        return this;
    }
}
